package com.adealink.weparty.webview.scheme

import android.net.Uri
import com.adealink.weparty.module.account.AccountModule
import com.adealink.weparty.webview.IWebView

/**
 * gami://web/userCancellation
 */
class UserCancellationScheme(webView: IWebView) :
    WebSchemeHandler(webView, arrayOf(WebScheme.UserCancellation.PATH)) {
    override fun handle(uri: Uri) {
        AccountModule.logout(true)
    }
}